Eclipse GEF 3.3

## org.eclipse.gef.editpolicies
Class ConnectionEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.ConnectionEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public abstract class ConnectionEditPolicy
extends AbstractEditPolicy

A model-based EditPolicy for connections. A model-based EditPolicy only knows about the host's model and the basic operations it supports. By default, ConnectionEditPolicy understands only DELETE. Subclasses can add support to handle additional behavior specific to the model.

This EditPolicy is not a `GraphicalEditPolicy`, and should not be used to show feedback or interact with the host's visuals in any way.

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ConnectionEditPolicy()`

Method Summary
`Command` `getCommand(Request request)` Returns `null` by default.
`protected abstract Command` `getDeleteCommand(GroupRequest request)` Subclasses should implement to return the Command to delete the connection.

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionEditPolicy

    public ConnectionEditPolicy()

Method Detail

### getCommand

    public Command getCommand(Request request)

  Description copied from class: `AbstractEditPolicy`
  Returns `null` by default. `null` is used to indicate that the EditPolicy does not contribute to the specified `Request`.

  Specified by:
    `getCommand` in interface `EditPolicy`
  Overrides:
    `getCommand` in class `AbstractEditPolicy`
  See Also:
    `EditPolicy.getCommand(Request)`

### getDeleteCommand

    protected abstract Command getDeleteCommand(GroupRequest request)

  Subclasses should implement to return the Command to delete the connection.

  Parameters:
    `request` - the DeleteRequest
  Returns:
    the Command to delete the connection

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.